| optoMDC

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
optoMDC.mre3.MRE3Board Class Reference
Inheritance diagram for optoMDC.mre3.MRE3Board:

## Public Member Functions
| __init__ (self, str or None port=None, bool verbose=False)

## Public Attributes
| Status
| TemperatureManager
| MiscFeatures
| Logger
| SnapshotManager
| ResonantAmplitudeControl
| Channel_0
| Channel_1
| channel
| EEPROM
| OpticalFeedback
| SignalFlowManager
| VectorPatternMemory
| ADCcontrol
| DACcontrol
| RadialBasisFunction
| CurrentFeedThrough
| LinearOutput
| ENCFeedback
| PreciSenFeedback
| AnalogFeedback
| SignalFlowFeedback

## Detailed Description

        Board object from which to issue MR-E-3 commands over a serial connection.

        Parameters
        ----------
        port, baud rate, comm_lock, verbose
        Standard serial connection parameters. Extended from Connection class.
        Raises
        ------
        none

        Notes
        -----
        Board extends Connection class. Refer to Connection for methods, parameters, etc.
        Board inherits Commands. Refer to Commands for methods, parameters, etc.

## Constructor & Destructor Documentation

## ◆ __init__()

optoMDC.mre3.MRE3Board.__init__ | ( |  | self,
|  | str or None | port = None,
|  | bool | verbose = False )

## Member Data Documentation

## ◆ ADCcontrol

optoMDC.mre3.MRE3Board.ADCcontrol

## ◆ AnalogFeedback

optoMDC.mre3.MRE3Board.AnalogFeedback

## ◆ channel

optoMDC.mre3.MRE3Board.channel

## ◆ Channel_0

optoMDC.mre3.MRE3Board.Channel_0

## ◆ Channel_1

optoMDC.mre3.MRE3Board.Channel_1

## ◆ CurrentFeedThrough

optoMDC.mre3.MRE3Board.CurrentFeedThrough

## ◆ DACcontrol

optoMDC.mre3.MRE3Board.DACcontrol

## ◆ EEPROM

optoMDC.mre3.MRE3Board.EEPROM

## ◆ ENCFeedback

optoMDC.mre3.MRE3Board.ENCFeedback

## ◆ LinearOutput

optoMDC.mre3.MRE3Board.LinearOutput

## ◆ Logger

optoMDC.mre3.MRE3Board.Logger

## ◆ MiscFeatures

optoMDC.mre3.MRE3Board.MiscFeatures

## ◆ OpticalFeedback

optoMDC.mre3.MRE3Board.OpticalFeedback

## ◆ PreciSenFeedback

optoMDC.mre3.MRE3Board.PreciSenFeedback

## ◆ RadialBasisFunction

optoMDC.mre3.MRE3Board.RadialBasisFunction

## ◆ ResonantAmplitudeControl

optoMDC.mre3.MRE3Board.ResonantAmplitudeControl

## ◆ SignalFlowFeedback

optoMDC.mre3.MRE3Board.SignalFlowFeedback

## ◆ SignalFlowManager

optoMDC.mre3.MRE3Board.SignalFlowManager

## ◆ SnapshotManager

optoMDC.mre3.MRE3Board.SnapshotManager

## ◆ Status

optoMDC.mre3.MRE3Board.Status

## ◆ TemperatureManager

optoMDC.mre3.MRE3Board.TemperatureManager

## ◆ VectorPatternMemory

optoMDC.mre3.MRE3Board.VectorPatternMemory

The documentation for this class was generated from the following file:

- C:/git/138-882-00_optoMDC/src/main/python/optoMDC/mre3.py